Bug 689347 - Even when building a <set> works ... brewing it doesn't.
Even when building a <set> works ... brewing it doesn't.
Product: Publican
Classification: Community
Component: publican (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
Depends On:
  Show dependency treegraph
Reported: 2011-03-21 03:13 EDT by Rebecca Newton
Modified: 2011-07-25 20:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-07-25 20:42:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rebecca Newton 2011-03-21 03:13:36 EDT
Description of problem: Even when a <set> builds successfully locally, it doesn't when attempting to brew by running:

publican package --brew --lang en-US --wait

This happens!

Running clean process to ensure stale content is not bundled in packages.
Clean: Removing tmp and publish directories.
Use of uninitialized value in lc at /usr/share/perl5/Publican/Builder.pm line 2167, <FH> line 15.
Config parameter 'scm' not found; treating set as standalone.
'books' is a required configuration parameter for a remote set at /usr/bin/publican line 765

Version-Release number of selected component (if applicable):

How reproducible:
Create a standalone set and try to brew or scratch brew. Here is my svn repository for the WFK Seam Developer Guide:


Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jeff Fearn 2011-04-06 06:15:02 EDT
Added an extra check to package to check if a set is remote or not.

Fixed in revision 1743.
Comment 2 Jeff Fearn 2011-07-05 07:37:55 EDT
Back ported to branches/publican-2x

Committed revision 1804.
Comment 3 Rebecca Newton 2011-07-13 00:55:04 EDT
Verified! My set brews for the first time, huzzah!

Note You need to log in before you can comment on or make changes to this bug.